"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const feistel = __importStar(require("feistel-cipher"));
exports.DEFAULT_KEY_STRING = '8ed9dcc1701c064f0fd7ae235f15143f989920e0ee9658bb7882c8d7d5f05692'; // hash('crumbl by Edgewhere')
exports.DEFAULT_ROUNDS = 10;
class Obfuscator {
    constructor(key, rounds) {
        this.cipher = new feistel.Cipher(key, rounds);
    }
    /**
     * Obfuscate the passed data
     *
     * @param {string} data - the data to obfuscate
     * @returns the byte array of the obfuscated result
     */
    apply(data) {
        return this.cipher.encrypt(data);
    }
    /**
     * Deobfuscate the passed data
     *
     * @param {Buffer} obfuscated - the byte array to use
     * @returns the deobfuscated string
     */
    unapply(obfuscated) {
        return this.cipher.decrypt(obfuscated);
    }
}
exports.Obfuscator = Obfuscator;
