/// <reference types="node" />
import { Crumb } from '../Encrypter/Crumb';
import { Signer } from '../models/Signer';
import { Uncrumb } from '../Decrypter/Uncrumb';
export declare class Uncrumbl {
    crumbled: string;
    slices: Array<Uncrumb>;
    verificationHash: string;
    signer: Signer;
    isOwner: boolean;
    constructor(crumbled: string, slices: Array<Uncrumb>, verificationHash: string, signer: Signer, isOwner: boolean);
    process(): Promise<Buffer>;
    toHTML(element: HTMLElement): Promise<Buffer>;
    private doUncrumbl;
}
/**
 * Split the crumbled string into its three parts: the version, the verification hash and the crumbs
 *
 * @param {string} crumbl - The full crumbled string
 * @param {Crumb[]} crumbs - The list of crumbs [optional]
 * @param {string} vh - The optional verification hash to compare [optional]
 * @returns the version, the hashered and the crumbs strings
 */
export declare const extractData: (crumbl: string, crumbs?: readonly Crumb[] | undefined, vh?: string | undefined) => [string, string, string];
//# sourceMappingURL=Uncrumbl.d.ts.map